/*=============================================================================
	select.h : 

	Copyright © 2008 Bruno Santos <nayart3@gmail.com>
=============================================================================*/

#ifndef TCRT_SYS_SELECT__H_
#define TCRT_SYS_SELECT__H_

///////////////////////////////////////////////////////////////////////////////
#include "../tcrt.h"
#include "time.h"

///////////////////////////////////////////////////////////////////////////////
TCRT_BEGIN_EXTERN_C

///////////////////////////////////////////////////////////////////////////////
#define FD_SETSIZE	64

///////////////////////////////////////////////////////////////////////////////
typedef struct _fd_set {
	unsigned int	count;
	void*		fildes[FD_SETSIZE];
} fd_set;

///////////////////////////////////////////////////////////////////////////////
void FD_ZERO(fd_set* fs);
void FD_SET(int fildes, fd_set* fs);
int FD_ISSET(int fildes, fd_set* fs);
int select(int nfds, fd_set* readfds, fd_set* writefds, fd_set* errorfds, struct timeval* timeout);

///////////////////////////////////////////////////////////////////////////////
TCRT_END_EXTERN_C

// EOF ////////////////////////////////////////////////////////////////////////
#endif /* TCRT_SYS_SELECT__H_ */
